xmonad-contrib-0.17.1: Community-maintained extensions for xmonad

Copyright | (c) 2016 Joachim Breitner 2017 Nick Hu
License | BSD-style (see LICENSE)
Maintainer | <mail@joachim-breitner.de>
Stability | stable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Prompt.Unicode

Contents

- Usage

Description

A prompt for searching unicode characters by name and inserting them into the clipboard.

The provided `unicodePrompt` and `typeUnicodePrompt` use `xsel` and `xdotool` respectively.

Synopsis

- unicodePrompt :: String -> XPConfig -> X ()
- typeUnicodePrompt :: String -> XPConfig -> X ()
- mkUnicodePrompt :: String -> [String] -> String -> XPConfig -> X ()

# Usage

You can use this module by importing it, along with XMonad.Prompt, into your ~/.xmonad/xmonad.hs file:

    import XMonad.Prompt
    import XMonad.Prompt.Unicode

and adding an appropriate keybinding, for example:

     , ((modm .|. controlMask, xK_u), unicodePrompt "/path/to/unicode-data" def)

More flexibility is given by the `mkUnicodePrompt` function, which takes a command and a list of arguments to pass as its first two arguments. See `unicodePrompt` for details.

unicodePrompt :: String -> XPConfig -> X () #

Prompt the user for a Unicode character to be inserted into the paste buffer of the X server.

typeUnicodePrompt :: String -> XPConfig -> X () #

Prompt the user for a Unicode character to be typed by `xdotool`.

mkUnicodePrompt :: String -> [String] -> String -> XPConfig -> X () #